<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>scripts.multiple_candidates.scripts_select.c_compute_chi2 package &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
        <script async="async" src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="scripts.multiple_candidates.scripts_select.b_compare_fit_results package" href="scripts.multiple_candidates.scripts_select.b_compare_fit_results.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="lib.html">lib package</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="scripts.html">scripts.multiple_candidates package</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="scripts.html#multiple-candidates">Multiple candidates</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.html#subpackages">Subpackages</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="scripts.html#scripts">Scripts</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.html">scripts.multiple_candidates.scripts_ana package</a></li>
<li class="toctree-l3 current"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.html">scripts.multiple_candidates.scripts_select package</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.a_select_multiple_candidates.html">scripts.multiple_candidates.scripts_select.a_select_multiple_candidates package</a></li>
<li class="toctree-l4"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.b_compare_fit_results.html">scripts.multiple_candidates.scripts_select.b_compare_fit_results package</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">scripts.multiple_candidates.scripts_select.c_compute_chi2 package</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="scripts.html">scripts.multiple_candidates package</a> &raquo;</li>
          <li><a href="scripts.multiple_candidates.scripts_select.html">scripts.multiple_candidates.scripts_select package</a> &raquo;</li>
      <li>scripts.multiple_candidates.scripts_select.c_compute_chi2 package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/scripts.multiple_candidates.scripts_select.c_compute_chi2.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <div class="section" id="scripts-multiple-candidates-scripts-select-c-compute-chi2-package">
<h1>scripts.multiple_candidates.scripts_select.c_compute_chi2 package<a class="headerlink" href="#scripts-multiple-candidates-scripts-select-c-compute-chi2-package" title="Permalink to this heading"></a></h1>
<div class="section" id="module-scripts.multiple_candidates.scripts_select.c_compute_chi2.config">
<span id="scripts-multiple-candidates-scripts-select-c-compute-chi2-config-module"></span><h2>scripts.multiple_candidates.scripts_select.c_compute_chi2.config module<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_select.c_compute_chi2.config" title="Permalink to this heading"></a></h2>
<p>Configuration of the scripts
<code class="xref py py-mod docutils literal notranslate"><span class="pre">multiple_candidates.scripts_select.c_compute_chi2.run</span></code>
and
<code class="xref py py-mod docutils literal notranslate"><span class="pre">multiple_candidates.scripts_select.c_compute_chi2.run_stats_all</span></code></p>
<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.config.channel_wildcards">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.config.</span></span><span class="sig-name descname"><span class="pre">channel_wildcards</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'{flavour_alias}Channel_{year}'</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.config.channel_wildcards" title="Permalink to this definition"></a></dt>
<dd><p>ending of the name of an observable (with wildcards)</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.config.dict_flavour_aliases">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.config.</span></span><span class="sig-name descname"><span class="pre">dict_flavour_aliases</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{'Electron':</span> <span class="pre">'Electron',</span> <span class="pre">'Mu':</span> <span class="pre">'Muon'}</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.config.dict_flavour_aliases" title="Permalink to this definition"></a></dt>
<dd><p>Associates a flavour with its alias name used in the name of the observables</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.config.dict_labels">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.config.</span></span><span class="sig-name descname"><span class="pre">dict_labels</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{'ffmodel':</span> <span class="pre">'Decay</span> <span class="pre">model',</span> <span class="pre">'full_muc_strat':</span> <span class="pre">'Strategy'}</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.config.dict_labels" title="Permalink to this definition"></a></dt>
<dd><p>Associates a variable with its label</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.config.dict_objects">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.config.</span></span><span class="sig-name descname"><span class="pre">dict_objects</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{'data':</span> <span class="pre">{'file':</span> <span class="pre">'CombinedModelWS',</span> <span class="pre">'obj':</span> <span class="pre">'obsData',</span> <span class="pre">'ws':</span> <span class="pre">'combined'},</span> <span class="pre">'fit_result':</span> <span class="pre">{'file':</span> <span class="pre">'DataFitResultWS',</span> <span class="pre">'obj':</span> <span class="pre">'Data',</span> <span class="pre">'ws':</span> <span class="pre">'FitresultWS'},</span> <span class="pre">'model_config':</span> <span class="pre">{'file':</span> <span class="pre">'DataFitParametersWS',</span> <span class="pre">'obj':</span> <span class="pre">['ModelConfig',</span> <span class="pre">'simPdf'],</span> <span class="pre">'ws':</span> <span class="pre">'FitParameters'}}</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.config.dict_objects" title="Permalink to this definition"></a></dt>
<dd><p>Associates a <code class="docutils literal notranslate"><span class="pre">name</span></code> with the strategy to retrieve an object, defined
by another dictionnary with key-value couples:</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">file</span></code>: name of the TFile that contains the workspace</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">ws</span></code>: Key from the TFile to the workspace</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">obj</span></code>: name of the object to retrieve or list of names of objects to retrieve</p></li>
</ul>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.config.fit_result_dir">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.config.</span></span><span class="sig-name descname"><span class="pre">fit_result_dir</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'{eosdir}/fitresults/{mulcan}results_finalfit_BB_{year}_{ffmodel}'</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.config.fit_result_dir" title="Permalink to this definition"></a></dt>
<dd><p>Path to the directory that contains the fit results, with wildcards</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.config.json_path_wildcards">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.config.</span></span><span class="sig-name descname"><span class="pre">json_path_wildcards</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'{outdir}/json/multiple_candidates/fit/{year}_{ffmodel}_{full_muc_strat}.json'</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.config.json_path_wildcards" title="Permalink to this definition"></a></dt>
<dd><p>output JSON path</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.config.list_file_paths">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.config.</span></span><span class="sig-name descname"><span class="pre">list_file_paths</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">['{eosdir}/fitresults/{mulcan}results_finalfit_BB_{year}_{ffmodel}/DataFitResultWS.root',</span> <span class="pre">'{eosdir}/fitresults/{mulcan}results_finalfit_BB_{year}_{ffmodel}/DataFitParametersWS.root',</span> <span class="pre">'{eosdir}/fitresults/{mulcan}results_finalfit_BB_{year}_{ffmodel}/CombinedModelWS.root']</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.config.list_file_paths" title="Permalink to this definition"></a></dt>
<dd><p>List of the input ROOT files needed to compute the chi2</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.config.list_table_paths">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.config.</span></span><span class="sig-name descname"><span class="pre">list_table_paths</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">['{outdir}/tables/multiple_candidates/chi2/all_avg.tex',</span> <span class="pre">'{outdir}/tables/multiple_candidates/chi2/all_all_ffmodels.tex',</span> <span class="pre">'{outdir}/tables/multiple_candidates/chi2/sc_all_ffmodels.tex',</span> <span class="pre">'{outdir}/tables/multiple_candidates/chi2/random-20_all_ffmodels.tex',</span> <span class="pre">'{outdir}/tables/multiple_candidates/chi2/opt-min-lab1_ENDVERTEX_CHI2_all_ffmodels.tex',</span> <span class="pre">'{outdir}/tables/multiple_candidates/chi2/CLN_all_muc_strats.tex',</span> <span class="pre">'{outdir}/tables/multiple_candidates/chi2/BGL_all_muc_strats.tex']</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.config.list_table_paths" title="Permalink to this definition"></a></dt>
<dd><p>List of paths of all the saved tables</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.config.table_dir_wildcards">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.config.</span></span><span class="sig-name descname"><span class="pre">table_dir_wildcards</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'{outdir}/tables/multiple_candidates/chi2'</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.config.table_dir_wildcards" title="Permalink to this definition"></a></dt>
<dd><p>Directory where the tables are saved (with wildcards)</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.config.table_name_avg">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.config.</span></span><span class="sig-name descname"><span class="pre">table_name_avg</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'all_avg.tex'</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.config.table_name_avg" title="Permalink to this definition"></a></dt>
<dd><p>Name of the table that shows the year-averaged chi2</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.config.table_name_ffmodel_wildcards">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.config.</span></span><span class="sig-name descname"><span class="pre">table_name_ffmodel_wildcards</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'{ffmodel}_all_muc_strats.tex'</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.config.table_name_ffmodel_wildcards" title="Permalink to this definition"></a></dt>
<dd><p>Name of the table that shows the chi2 for each <code class="docutils literal notranslate"><span class="pre">ffmodel</span></code></p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.config.table_name_full_muc_strat_wildcards">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.config.</span></span><span class="sig-name descname"><span class="pre">table_name_full_muc_strat_wildcards</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'{full_muc_strat}_all_ffmodels.tex'</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.config.table_name_full_muc_strat_wildcards" title="Permalink to this definition"></a></dt>
<dd><p>Name of the table that shows the chi2 for each <code class="docutils literal notranslate"><span class="pre">full_muc_strat</span></code></p>
</dd></dl>

</div>
<div class="section" id="module-scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects">
<span id="scripts-multiple-candidates-scripts-select-c-compute-chi2-load-objects-module"></span><h2>scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects module<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects" title="Permalink to this heading"></a></h2>
<p>Functions used to load the objects needs for the script
<code class="xref py py-mod docutils literal notranslate"><span class="pre">multiple_candidates.scripts_select.c_compute_chi2.run</span></code></p>
<dl class="py function">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects.get_fit_result_dir">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects.</span></span><span class="sig-name descname"><span class="pre">get_fit_result_dir</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">eosdir</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">year</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">ffmodel</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mulcan</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">''</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/scripts/multiple_candidates/scripts_select/c_compute_chi2/load_objects.html#get_fit_result_dir"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects.get_fit_result_dir" title="Permalink to this definition"></a></dt>
<dd><p>Get the folder path where the fit results are located.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>eosdir</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>) – path to the EOS directory</p></li>
<li><p><strong>year</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>) – <code class="docutils literal notranslate"><span class="pre">2016</span></code>, <code class="docutils literal notranslate"><span class="pre">2017</span></code> or <code class="docutils literal notranslate"><span class="pre">2018</span></code></p></li>
<li><p><strong>ffmodel</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>) – <code class="docutils literal notranslate"><span class="pre">CLN</span></code> or <code class="docutils literal notranslate"><span class="pre">BGL</span></code></p></li>
<li><p><strong>mulcan</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>) – relative path where the fit results that deal with
multiple candidates separately are located</p></li>
</ul>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p><code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code></p>
</dd>
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>path to the folder that contains all the fit results
for the given <code class="docutils literal notranslate"><span class="pre">year</span></code> and <code class="docutils literal notranslate"><span class="pre">ffmodel</span></code></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects.load_object">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects.</span></span><span class="sig-name descname"><span class="pre">load_object</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">obj</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/scripts/multiple_candidates/scripts_select/c_compute_chi2/load_objects.html#load_object"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects.load_object" title="Permalink to this definition"></a></dt>
<dd><p>Load the fit result of the given <code class="docutils literal notranslate"><span class="pre">year</span></code>, <code class="docutils literal notranslate"><span class="pre">ffmodel</span></code> and <code class="docutils literal notranslate"><span class="pre">mulcan</span></code></p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>obj</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>) – name of the object to retrieve. It must be one of the keys of
<code class="xref py py-data docutils literal notranslate"><span class="pre">multiple_candidates.scripts_select.c_compute_chi2.dict_objects</span></code>.</p></li>
<li><p><strong>*args</strong> – passed to <a class="reference internal" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects.get_fit_result_dir" title="scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects.get_fit_result_dir"><code class="xref py py-func docutils literal notranslate"><span class="pre">get_fit_result_dir()</span></code></a> to
determine the path where the object is located</p></li>
<li><p><strong>**kwargs</strong> – passed to <a class="reference internal" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects.get_fit_result_dir" title="scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects.get_fit_result_dir"><code class="xref py py-func docutils literal notranslate"><span class="pre">get_fit_result_dir()</span></code></a> to
determine the path where the object is located</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><ul class="simple">
<li><p>object1, object2, …: list of ROOT objects to load</p></li>
<li><p>infile: have to return it, otherwise ROOT has some memory issues …</p></li>
</ul>
</p>
</dd>
</dl>
</dd></dl>

</div>
<div class="section" id="module-scripts.multiple_candidates.scripts_select.c_compute_chi2.run">
<span id="scripts-multiple-candidates-scripts-select-c-compute-chi2-run-module"></span><h2>scripts.multiple_candidates.scripts_select.c_compute_chi2.run module<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_select.c_compute_chi2.run" title="Permalink to this heading"></a></h2>
<p>Compute the chi2 of a fit and save the result in a JSON file.</p>
<p>To run this script for a given year, ffmodel and <code class="docutils literal notranslate"><span class="pre">full_muc_strat</span></code>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">python</span> <span class="n">run</span><span class="o">.</span><span class="n">py</span> <span class="o">-</span><span class="n">y</span> <span class="p">{</span><span class="n">year</span><span class="p">}</span> <span class="o">-</span><span class="n">f</span> <span class="p">{</span><span class="n">ffmodel</span><span class="p">}</span> <span class="o">-</span><span class="n">full_muc_strat</span> <span class="p">{</span><span class="n">full_muc_strat</span><span class="p">}</span>
</pre></div>
</div>
<p>The out directory (<code class="docutils literal notranslate"><span class="pre">-o</span> <span class="pre">{outdir}</span></code>) and EOS directory (<code class="docutils literal notranslate"><span class="pre">-e</span> <span class="pre">eosdir</span></code>) can
also be provided.</p>
</div>
<div class="section" id="module-scripts.multiple_candidates.scripts_select.c_compute_chi2.run_stats_all">
<span id="scripts-multiple-candidates-scripts-select-c-compute-chi2-run-stats-all-module"></span><h2>scripts.multiple_candidates.scripts_select.c_compute_chi2.run_stats_all module<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_select.c_compute_chi2.run_stats_all" title="Permalink to this heading"></a></h2>
<p>Analyse how the reduced chi2 evolves as a function of how multiple
candidates are handled, by producing a table listing all the reduced
<span class="math notranslate nohighlight">\(\chi^2\)</span> values.</p>
<p>To produce the tables, just run</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">python</span> <span class="n">run</span><span class="o">.</span><span class="n">py</span> <span class="p">(</span><span class="o">-</span><span class="n">o</span> <span class="p">{</span><span class="n">outdir</span><span class="p">})</span>
</pre></div>
</div>
<dl class="py function">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.c_compute_chi2.run_stats_all.fmt_val">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.c_compute_chi2.run_stats_all.</span></span><span class="sig-name descname"><span class="pre">fmt_val</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">val</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/scripts/multiple_candidates/scripts_select/c_compute_chi2/run_stats_all.html#fmt_val"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.c_compute_chi2.run_stats_all.fmt_val" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

</div>
</div>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="scripts.multiple_candidates.scripts_select.b_compare_fit_results.html" class="btn btn-neutral float-left" title="scripts.multiple_candidates.scripts_select.b_compare_fit_results package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>